> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://typeform.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://typeform.ferndocs.com/_mcp/server.

# Update form (patch)

PATCH https://api.typeform.com/forms/{form_id}
Content-Type: application/json

Updates an existing form.

Reference: https://typeform.ferndocs.com/documentation/create-api/api-reference/forms/update

## Authentication

- `Authorization` header (bearer token, required) — Bearer token authentication. Tokens can be generated from the user account. Privileges needed may vary.
- `Authorization` header (required) — A string representation of JWT containing at least two parameters: `ctx.user_id` — user's id `ctx.account_id` — user's default account id `ctx.account_uid` — user's default account uid The usage of account_(u)id from JWT is discouraged, user can have access to multiple accounts, every endpoint has to be account aware if it's needed. This JWT must be signed by the appropriate authority.

## Request

### Path parameters

- `form_id` (any, required) — Unique ID for the form. Find in your form URL. For example, in the URL "https://mysite.typeform.com/to/u6nXL7" the form_id is `u6nXL7`.

### Body (application/json)

This endpoint expects a list of FormsFormIdPatchRequestBodyContentApplicationJsonSchemaItems.

- `list of FormsFormIdPatchRequestBodyContentApplicationJsonSchemaItems`

## Response

### 204

No content

## Types

### FormsFormIdPatchRequestBodyContentApplicationJsonSchemaItems

- `op` (string, required)
- `path` (enum, required)
  - Allowed values: `/settings/facebook_pixel`, `/settings/google_analytics`, `/settings/google_tag_manager`, `/settings/is_public`, `/settings/meta`, `/cui_settings`, `/theme`, `/title`, `/workspace`
- `value` (string, required)

## Examples

**Request**

```json
[
  {
    "op": "replace",
    "path": "/title",
    "value": "foo"
  },
  {
    "op": "replace",
    "path": "/settings/is_public",
    "value": "false"
  },
  {
    "op": "replace",
    "path": "/settings/meta",
    "value": "string"
  },
  {
    "op": "replace",
    "path": "/cui_settings",
    "value": "string"
  },
  {
    "op": "replace",
    "path": "/workspace",
    "value": "string"
  },
  {
    "op": "replace",
    "path": "/theme",
    "value": "string"
  }
]
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.typeform.com/forms/:form_id"

payload = [
    {
        "op": "replace",
        "path": "/title",
        "value": "foo"
    },
    {
        "op": "replace",
        "path": "/settings/is_public",
        "value": "false"
    },
    {
        "op": "replace",
        "path": "/settings/meta",
        "value": "string"
    },
    {
        "op": "replace",
        "path": "/cui_settings",
        "value": "string"
    },
    {
        "op": "replace",
        "path": "/workspace",
        "value": "string"
    },
    {
        "op": "replace",
        "path": "/theme",
        "value": "string"
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.typeform.com/forms/:form_id';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '[{"op":"replace","path":"/title","value":"foo"},{"op":"replace","path":"/settings/is_public","value":"false"},{"op":"replace","path":"/settings/meta","value":"string"},{"op":"replace","path":"/cui_settings","value":"string"},{"op":"replace","path":"/workspace","value":"string"},{"op":"replace","path":"/theme","value":"string"}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.typeform.com/forms/:form_id"

	payload := strings.NewReader("[\n  {\n    \"op\": \"replace\",\n    \"path\": \"/title\",\n    \"value\": \"foo\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/settings/is_public\",\n    \"value\": \"false\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/settings/meta\",\n    \"value\": \"string\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/cui_settings\",\n    \"value\": \"string\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/workspace\",\n    \"value\": \"string\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/theme\",\n    \"value\": \"string\"\n  }\n]")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.typeform.com/forms/:form_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"op\": \"replace\",\n    \"path\": \"/title\",\n    \"value\": \"foo\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/settings/is_public\",\n    \"value\": \"false\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/settings/meta\",\n    \"value\": \"string\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/cui_settings\",\n    \"value\": \"string\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/workspace\",\n    \"value\": \"string\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/theme\",\n    \"value\": \"string\"\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.typeform.com/forms/:form_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"op\": \"replace\",\n    \"path\": \"/title\",\n    \"value\": \"foo\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/settings/is_public\",\n    \"value\": \"false\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/settings/meta\",\n    \"value\": \"string\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/cui_settings\",\n    \"value\": \"string\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/workspace\",\n    \"value\": \"string\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/theme\",\n    \"value\": \"string\"\n  }\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.typeform.com/forms/:form_id', [
  'body' => '[
  {
    "op": "replace",
    "path": "/title",
    "value": "foo"
  },
  {
    "op": "replace",
    "path": "/settings/is_public",
    "value": "false"
  },
  {
    "op": "replace",
    "path": "/settings/meta",
    "value": "string"
  },
  {
    "op": "replace",
    "path": "/cui_settings",
    "value": "string"
  },
  {
    "op": "replace",
    "path": "/workspace",
    "value": "string"
  },
  {
    "op": "replace",
    "path": "/theme",
    "value": "string"
  }
]',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.typeform.com/forms/:form_id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"op\": \"replace\",\n    \"path\": \"/title\",\n    \"value\": \"foo\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/settings/is_public\",\n    \"value\": \"false\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/settings/meta\",\n    \"value\": \"string\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/cui_settings\",\n    \"value\": \"string\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/workspace\",\n    \"value\": \"string\"\n  },\n  {\n    \"op\": \"replace\",\n    \"path\": \"/theme\",\n    \"value\": \"string\"\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "op": "replace",
    "path": "/title",
    "value": "foo"
  ],
  [
    "op": "replace",
    "path": "/settings/is_public",
    "value": "false"
  ],
  [
    "op": "replace",
    "path": "/settings/meta",
    "value": "string"
  ],
  [
    "op": "replace",
    "path": "/cui_settings",
    "value": "string"
  ],
  [
    "op": "replace",
    "path": "/workspace",
    "value": "string"
  ],
  [
    "op": "replace",
    "path": "/theme",
    "value": "string"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.typeform.com/forms/:form_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```